Bug 241043 - Puplet bombs messilly when yum-updatesd isn't running
Summary: Puplet bombs messilly when yum-updatesd isn't running
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pirut   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-23 18:55 UTC by Steve Hill
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1.3.9-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 22:24:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Hill 2007-05-23 18:55:54 UTC
Description of problem:
If yum-updatesd isn't running, puplet bombs in a rather messy Python exception
on startup.

Version-Release number of selected component (if applicable):
pirut-1.3.7-1.fc7


How reproducible:
Always

Steps to Reproduce:
1. service yum updatesd stop
2. log in to the X server
3. look in ~/.xsession-errors
  
Actual results:
Traceback (most recent call last):

  File "/usr/bin/puplet", line 371, in <module>

    main()

  File "/usr/bin/puplet", line 368, in main

    p.run()

  File "/usr/bin/puplet", line 355, in run

    self._getOnDbus()

  File "/usr/bin/puplet", line 229, in _getOnDbus

    "/Updatesd")

  File "/usr/lib/python2.5/site-packages/dbus/_dbus.py", line 410, in get_object

    follow_name_owner_changes=follow_name_owner_changes)

  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 230, in __init__

    _dbus_bindings.UInt32(0))

  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 169, in __call__

    reply_message = self._connection.send_message_with_reply_and_block(message,
timeout)

dbus.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name
edu.duke.linux.yum was not provided by any .service files


Expected results:
Puplet should either exit cleanly and quietly, or hang around and periodically
try and reconnect to yum-updatesd

Additional info:

Comment 1 Jeremy Katz 2007-05-29 18:15:24 UTC
Fixed in CVS

Comment 2 Fedora Update System 2007-07-23 18:49:55 UTC
pirut-1.3.9-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-08-10 22:24:14 UTC
pirut-1.3.9-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.